"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const schematics_1 = require("@angular-devkit/schematics");
const core_1 = require("@angular-devkit/core");
const setupOptions_1 = require("./setupOptions");
// You don't have to export the function as default. You can also have more than one rule factory
// per file.
function crudSchema(_options) {
    return (tree, _context) => {
        setupOptions_1.setupOptions(tree, _options);
        const movePath = (_options.flat) ?
            core_1.normalize(_options.path) :
            core_1.normalize(_options.path + '/' + core_1.strings.dasherize(_options.name));
        const templateSource = schematics_1.apply(schematics_1.url('./files'), [
            _options.spec ? schematics_1.noop() : schematics_1.filter(path => !path.endsWith('.spec.ts')),
            schematics_1.template(Object.assign({}, core_1.strings, _options)),
            schematics_1.move(movePath),
        ]);
        const rule = schematics_1.mergeWith(templateSource, schematics_1.MergeStrategy.Default);
        return rule(tree, _context);
    };
}
exports.crudSchema = crudSchema;
//# sourceMappingURL=index.js.map